/***
*
*  String.prg
*  ਬ 짮⥫᪨ 㭪権  ࠡ⪨ ᨬ ப
*
*  Copyright, Nantucket Corporation, 1990
*
*  ஢  /n/w/a/m
*/

/***********
* 䨪 ந  ""  ५ -  1991 .
*     祭 Nantucket Corp.
* ⥫.: (095) 289-43-00, (095) 289-44-77, (095) 289-44-83
* 䠪: (095) 289-34-69
************/



/***
*  CityState( <cCity>, <cState>, <cZip> ) --> cString
*  ନ஢ ப   த,   ⮢ 
*   ।  ⢥ ࠬ஢ ६
*/
FUNCTION CityState( cCity, cState, cZip )
   RETURN RTRIM(cCity) + ", " + RTRIM(cState) + "  " + cZip



/***
*  ListAsArray( <cList>, <cDelimiter> ) --> aList
*  ८ࠧ ப  ࠧ⥫ﬨ  ᨢ
*
*/
FUNCTION ListAsArray( cList, cDelimiter )
   LOCAL nPos
   LOCAL aList := {}                            // ⮩ ᨢ

   IF cDelimiter = NIL
      cDelimiter := ","
   ENDIF
   //
   DO WHILE (nPos := AT(cDelimiter, cList)) != 0
      AADD(aList, SUBSTR(cList, 1, nPos - 1))   //   
      cList := SUBSTR(cList, nPos + 1)
   ENDDO
   AADD(aList, cList)                           //  ᫥ 
   //
   RETURN aList                                 //  ᨢ



/***
*  Occurs( <cSearch>, <cTarget> ) --> nCount
*  । ⢠ 宦 ப <cSearch>  ப <cTarget>
*
*/
FUNCTION Occurs( cSearch, cTarget )
   LOCAL nPos, nCount := 0
   DO WHILE !EMPTY( cTarget )
      IF (nPos := AT( cSearch, cTarget )) != 0
         nCount++
         cTarget := SUBSTR( cTarget, nPos + 1 )
      ELSE
         //  ப
         cTarget := ""
      ENDIF
   ENDDO
   RETURN nCount



/***
*  Proper( <cString> ) --> cProper
*  ८ࠧ  ᫮  ப    ࢮ  㪢
*
*/
FUNCTION Proper( cString )
   LOCAL nPos, cWord, cProper := ""
   DO WHILE !EMPTY( cString )
	  IF (nPos := AT(" ", cString)) != 0
		 cWord := SUBSTR( cString, 1, nPos )
		 cString := SUBSTR( cString, nPos + 1 )
      ELSE
         // End of string
		 cWord := cString
		 cString := ""
      ENDIF
      cProper := cProper + UPPER(SUBSTR(cWord, 1, 1)) + SUBSTR(cWord, 2)
   ENDDO
   RETURN cProper


#ifdef NOTDEF

// 㡫  । 㭪樨 StrZero()  㫥 EXAMPLEP.PRG

/***
*   StrZero( <nNumber>, <nLength>, <nDecimals> ) --> cNumber
*   ८ࠧ ᫠  ப   騬 ﬨ
*
*/
FUNCTION StrZero( n, nLength, nDecimals )
   LOCAL cNumber
   IF PCOUNT() = 3
      cNumber = STR(n, nLength, nDecimals)
   ELSEIF PCOUNT() = 2
      cNumber = STR(n, nLength)
   ELSE
      cNumber = STR(n)
   ENDIF

   IF "-" $ cNumber
      //  ⥫ ᥫ   頥 । 騬 ﬨ
      RETURN "-" + REPLICATE("0", LEN(cNumber) - LEN(LTRIM(cNumber))) +;
            SUBSTR(cNumber, AT("-", cNumber) + 1)
   ELSE
      // ⥫쭮 ᫮
      RETURN REPLICATE("0", LEN(cNumber) - LEN(LTRIM(cNumber))) +;
            LTRIM(cNumber)
   ENDIF

#endif