/***
*
*  Box.prg
*  ਬ 짮⥫᪨ 㭪権  ࣠樨 
*
*  Copyright, Nantucket Corporation, 1990
*  Jake Jacob
*
*  ஢  ﬨ n/w/a/m
*
*/
/***********
* 䨪 ந  ""  ५ -  1991 .
*     祭 Nantucket Corp.
* ⥫.: (095) 289-43-00, (095) 289-44-77, (095) 289-44-83
* 䠪: (095) 289-34-69
************/


/***
*  BoxMenu( <aMenuItems>, [<nTop>], [<nLeft>], [<nBottom>], [<nRight>], ;
*     [<cMenuTitle>], [<nChoice>], [<cBoxChars>], [<cColorString>] ) --> nChoice
*  ᮢ뢠 ⮥  ஥   ࠬ   ⥭.
*
*  頥 ᫮ 祭 -  ᨢ, ᮤঠ饣 樨
*    । 㭪樨 BoxMenu().
*    -   .
*/

/***
*  BoxShadow( <nTop>, <nLeft>, <nBottom>, <nRight> ) --> NIL
*  ᮢ뢠 ஧ ⥭    ࠬ
*
*/


/***
*  BoxMenu( <aMenuItems>, [<nTop>], [<nLeft>], [<nBottom>], [<nRight>], ;
*     [<cMenuTitle>], [<nChoice>], [<cBoxChars>], [<cColorString>] ) --> nChoice
*  ᮢ뢠 ⮥   ࠬ  ⥭.
*
*/
FUNCTION BoxMenu( aMenuItems, nTop, nLeft, nBottom, nRight, cMenuTitle, ;
                  nChoice, cBoxChars, cMenuColor )

   LOCAL nLength := 0, cOldColor, i
   LOCAL nMenuRow, nMenuCol, lArrNotChar := .F.

   // ᫨ ᨢ  ।   頥  ࠭,  頥 NIL
   IF aMenuItems == NIL .OR. LEN( aMenuItems ) > ( MAXROW() - 3 )
      RETURN NIL
   ENDIF

   // ஢ઠ, ।  ⮢ 祭
   nChoice := IF( nChoice == NIL, 1, nChoice )

   //  ᠬ   (樨 )  ஢ઠ  稥
   // ⮢ ᨬ쭮 ⨯
   ASCAN( aMenuItems, { |str| nLength := MAX( nLength, LEN( str ) ), ;
                          lArrNotChar := ( VALTYPE( str ) <> "C" ) } )

   // ᫨ -   ᨬ ⨯,  頥 NIL
   IF lArrNotChar
      RETURN NIL
   ENDIF

   // 樠 न  ࠭
   nTop    := IF( nTop == NIL, 0, nTop )
   nLeft   := IF( nLeft == NIL, 0, nLeft )
   nBottom := MIN( MAX( nTop + LEN( aMenuItems ) + 3,;
                IF( nBottom == NIL, MAXROW(), nBottom ) ), MAXROW() )
   nRight  := MIN( MAX( nLeft + nLength + 3, ;
                IF( nRight == NIL, MAXCOL(), nRight ) ), MAXCOL() )

   // ஢ઠ, ।  ᨬ ࠬ  ᯥ䨪 梥
   cBoxChars  := IF( cBoxChars  == NIL, "ͻȺ", cBoxChars  )
   cMenuColor := IF( cMenuColor == NIL, SETCOLOR(), cMenuColor )

   // ⠭   ࠭ ன 梥⮢ ᯥ䨪樨
   cOldColor := SETCOLOR( cMenuColor )

   // ᮢ ࠬ
   @ nTop, nLeft CLEAR TO nBottom, nRight
   @ nTop, nLeft, nBottom, nRight BOX cBoxChars
   IF cMenuTitle != NIL
      @ nTop, nLeft + 2 SAY "[" + cMenuTitle + "]"
   ENDIF

   // ᮢ ⥭
   BoxShadow( nTop, nLeft, nBottom, nRight )

   // । 砫 न ࢮ 樨   業
   // 
   nMenuRow := nTop + INT( ( ( nBottom - nTop ) - LEN( aMenuItems ) ) / 2 ) + 1
   nMenuCol := nLeft + INT( ( ( nRight - nLeft ) - nLength ) / 2 ) + 1

   // 맮 
   FOR i := 1 TO LEN( aMenuItems )
      @ nMenuRow++, nMenuCol PROMPT LEFT( aMenuItems[i] + SPACE(nLength), nLength )
   NEXT

   MENU TO nChoice

   // ⠭ 室 梥
   SETCOLOR( cOldColor )

   RETURN nChoice


/***
*  BoxShadow( <nTop>, <nLeft>, <nBottom>, <nRight> ) --> NIL
*  ᮢ ஧筮 ⥭
*
*/
FUNCTION BoxShadow( nTop, nLeft, nBottom, nRight )
   LOCAL nShadTop, nShadLeft, nShadBottom, nShadRight

   nShadTop   := nShadBottom := MIN(nBottom + 1, MAXROW())
   nShadLeft  := nLeft + 1
   nShadRight := MIN(nRight + 1, MAXCOL())

   RESTSCREEN( nShadTop, nShadLeft, nShadBottom, nShadRight,;
       TRANSFORM( SAVESCREEN(nShadTop, nShadLeft, nShadBottom, nShadRight),;
       REPLICATE("X", nShadRight - nShadLeft + 1 ) ) )

   nShadTop    := nTop + 1
   nShadLeft   := nShadRight := MIN(nRight + 1, MAXCOL())
   nShadBottom := nBottom

   RESTSCREEN( nShadTop, nShadLeft, nShadBottom, nShadRight,;
       TRANSFORM( SAVESCREEN(nShadTop,  nShadLeft , nShadBottom,  nShadRight),;
       REPLICATE("X", nShadBottom - nShadTop + 1 ) ) )

   RETURN NIL