/***
*
*  Locks.prg
*  ਬ ⥢ 㭪権  প  USE, FLOCK(), RLOCK() 
*  APPEND BLANK.
*
*  Copyright, Nantucket Corporation, 1989, 1990
*
*  ஢  :
*
*	  C>CLIPPER Locks /N /W /A /M
*/
/***********
* 䨪 ந  ""  ५ -  1991 .
*     祭 Nantucket Corp.
* ⥫.: (095) 289-43-00, (095) 289-44-77, (095) 289-44-83
* 䠪: (095) 289-34-69
************/


/***
*  AddRec( <nWaitSeconds> ) --> lSuccess
*  ⪠   (APPEND BLANK)  ⮬ १
*/
FUNCTION AddRec( nWaitSeconds )
   LOCAL lForever
   APPEND BLANK
   IF .NOT. NETERR()
      RETURN (.T.)
   ENDIF
   lForever = (nWaitSeconds = 0)
   DO WHILE (lForever .OR. nWaitSeconds > 0)
      APPEND BLANK
      IF .NOT. NETERR()
         RETURN .T.
      ENDIF
      INKEY(.5)         //  1/2 ᥪ㭤
      nWaitSeconds  = nWaitSeconds  - .5
   ENDDO
   RETURN (.F.)         //   



/***
*  FilLock( <nWaitSeconds> ) --> lSuccess
*  ⪠ ஢    㣨 짮⥫
*/
FUNCTION FilLock( nSeconds )
   LOCAL lForever
   IF FLOCK()
      RETURN (.T.)      // ஢
   ENDIF
   lForever = (nSeconds = 0)
   DO WHILE (lForever .OR. nSeconds > 0)
      INKEY(.5)         //  1/2 ᥪ㭤
      nSeconds = nSeconds - .5
      IF FLOCK()
         RETURN (.T.)   // ஢
      ENDIF
   ENDDO
   RETURN (.F.)         //  ஢



/***
*  NetUse( <cDatabase>, <lOpenMode>, <nWaitSeconds> ) --> lSuccess
*  ⪠     ࠡ祩 
*/
FUNCTION NetUse( cDatabase, lOpenMode, nSeconds )
   LOCAL lForever
   lForever = (nSeconds = 0)
   DO WHILE (lForever .OR. nSeconds > 0)
     IF lOpenMode
         USE (cDatabase) EXCLUSIVE
     ELSE
         USE (cDatabase) SHARED // ⭮ ᯮ짮
     ENDIF
     IF .NOT. NETERR()          // USE ᯥ譮 믮
        RETURN (.T.)
      ENDIF
      INKEY(1)                 //  1 ᥪ㭤
      nSeconds = nSeconds - 1
   ENDDO
   RETURN (.F.)                // USE ᯥ譠



/***
*  RecLock( <nWaitSeconds> ) --> lSuccess
*  ⪠ ஢     㣨 짮⥫
*/
FUNCTION RecLock( nSeconds )
   LOCAL lForever
   IF RLOCK()
      RETURN (.T.)        // ஢
   ENDIF
   lForever = (nSeconds = 0)
   DO WHILE (lForever .OR. nSeconds > 0)
      IF RLOCK()
         RETURN (.T.)     // ஢
      ENDIF
      INKEY(.5)           //  1/2 ᥪ㭤
      nSeconds = nSeconds - .5
   ENDDO
   RETURN (.F.)           //  ஢